<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="55be0eb3-973d-4317-ad3c-b91e5ed3247e" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="AuthConfig.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/AuthConfig.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="307">
              <caret line="20" column="37" lean-forward="true" selection-start-line="20" selection-start-column="37" selection-end-line="20" selection-end-column="37" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#767#768#0" expanded="true" />
                <element signature="e#811#812#0" expanded="true" />
                <element signature="e#879#880#0" expanded="true" />
                <element signature="e#928#929#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="pom.xml" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="396">
              <caret line="18" column="17" lean-forward="true" selection-start-line="18" selection-start-column="17" selection-end-line="18" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="BridgeApplication.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/BridgeApplication.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="264">
              <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#255#256#0" expanded="true" />
                <element signature="e#323#324#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="application.properties" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="528">
              <caret line="24" column="6" lean-forward="true" selection-start-line="24" selection-start-column="6" selection-end-line="24" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="logback-spring.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/logback-spring.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="38" lean-forward="true" selection-start-column="38" selection-end-column="38" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="InterceptorConfig.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/InterceptorConfig.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="16" column="35" lean-forward="true" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#719#762#1" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AuthController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/controller/AuthController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="496">
              <caret line="38" column="102" lean-forward="true" selection-start-line="38" selection-start-column="102" selection-end-line="38" selection-end-column="102" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>mysql</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="ROOT_SYNC" value="DONT_SYNC" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/BridgeApplication.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/OrgClassBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/AuthMessage.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/service/ServerAuthService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/model/Signature.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/Client.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/service/AuthService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/ClientSignature.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/dictionary/AuthDictionary.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/utils/UserContextHelper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/utils/UserContext.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/utils/UserContextHolder.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/service/IAuthService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/interceptor/AuthInterceptor.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/CorsConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/AuthConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/InterceptorConfig.java" />
        <option value="$PROJECT_DIR$/src/main/resources/bootstrap.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/controller/AuthController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/service/impl/refreshToken.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/model/ServerSignature.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/model/ServerProperties.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/config/ServerConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/service/impl/ServerAuthServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/ClientAuthProperties.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/service/impl/AuthServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/UserJwt.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="E:/3hSoftware/maven/apache-maven-3.3.9" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="jreName" value="1.8" />
    <option name="vmOptions" value="-DarchetypeCatalog=internal" />
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="974" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="doc" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="framework" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="framework" type="462c0819:PsiDirectoryNode" />
              <item name="auth" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hhh-megrez-bridge" type="b2602c69:ProjectViewProjectNode" />
              <item name="hhh-megrez-bridge" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../branch/hhh-concrete-oauth2" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="spring.boot" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.hhh.cloud.framework.auth.config" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\代码库\商混\框架3.0\hhh-megrez-bridge\src\main\resources" />
      <recent name="F:\代码库\商混\框架3.0\hhh-megrez-bridge\src\main\java\com\hhh\cloud\framework\auth\model" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.BridgeApplication">
    <configuration name="ServerSignature" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.hhh.cloud.framework.server.model.ServerSignature" />
      <module name="hhh-megrez-bridge" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.hhh.cloud.framework.server.model.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="BridgeApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="hhh-megrez-bridge" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.hhh.cloud.framework.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.hhh.cloud.framework.BridgeApplication" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <list>
      <item itemvalue="Spring Boot.BridgeApplication" />
      <item itemvalue="Application.ServerSignature" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.BridgeApplication" />
        <item itemvalue="Application.ServerSignature" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration>C:\Users\Administrator\AppData\Roaming\Subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="55be0eb3-973d-4317-ad3c-b91e5ed3247e" name="Default" comment="" />
      <created>1607332249400</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1607332249400</updated>
      <workItem from="1607332256617" duration="41517000" />
      <workItem from="1607647809090" duration="16072000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="57589000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="right" id="Mongo Explorer" order="3" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Designer" order="2" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" visible="true" weight="0.0" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" order="7" weight="0.32897604" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info id="Image Layers" order="2" />
      <window_info anchor="bottom" id="Java Enterprise" order="7" />
      <window_info anchor="right" id="Capture Analysis" order="3" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.22222222" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24253732" />
      <window_info anchor="right" id="Bean Validation" order="3" />
      <window_info id="Web" order="2" side_tool="true" />
      <window_info anchor="right" id="BPMNPalette" order="3" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="20" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/utils/UserContext.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="12" column="16" selection-start-line="12" selection-start-column="16" selection-end-line="12" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/org/springframework/spring-web/5.1.5.RELEASE/spring-web-5.1.5.RELEASE.jar!/org/springframework/web/cors/CorsConfiguration.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="66" column="16" selection-start-line="66" selection-start-column="16" selection-end-line="66" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/CorsConfig.java" />
    <entry file="jar://E:/study/maven/repository/org/springframework/spring-web/5.1.5.RELEASE/spring-web-5.1.5.RELEASE.jar!/org/springframework/web/method/support/InvocableHandlerMethod.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="131">
          <caret line="105" column="86" lean-forward="true" selection-start-line="105" selection-start-column="86" selection-end-line="105" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/ClientSignature.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#515#516#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/service/IServerAuthService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="10" column="31" selection-start-line="10" selection-start-column="31" selection-end-line="10" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/config/ServerConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="17" column="38" lean-forward="true" selection-start-line="17" selection-start-column="38" selection-end-line="17" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#322#323#0" expanded="true" />
            <element signature="e#366#367#0" expanded="true" />
            <element signature="e#424#425#0" expanded="true" />
            <element signature="e#468#469#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/bootstrap.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="14" lean-forward="true" selection-start-line="14" selection-end-line="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://E:/study/maven/repository/com/hhh/cloud/framework/2.0.0-SNAPSHOT/framework-2.0.0-SNAPSHOT.pom">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="547">
          <caret line="143" column="19" selection-start-line="143" selection-start-column="19" selection-end-line="143" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/service/impl/ServerAuthServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="19" column="46" selection-start-line="19" selection-start-column="46" selection-end-line="19" selection-end-column="46" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/service/impl/AuthServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="428">
          <caret line="38" column="13" selection-start-line="38" selection-start-column="13" selection-end-line="38" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/ClientAuthProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="5" selection-start-line="6" selection-start-column="5" selection-end-line="6" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/model/ServerProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="45" selection-start-column="45" selection-end-column="45" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/server/model/ServerSignature.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="91">
          <caret line="13" selection-start-line="13" selection-end-line="13" selection-end-column="57" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/interceptor/AuthInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="462">
          <caret line="45" column="43" lean-forward="true" selection-start-line="45" selection-start-column="43" selection-end-line="45" selection-end-column="43" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/model/UserJwt.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="32" column="54" lean-forward="true" selection-start-line="32" selection-start-column="54" selection-end-line="32" selection-end-column="54" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/exception/ForbiddenException.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/function/RunTimeFun.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/function/JSONFuncs.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-66">
          <caret line="26" column="13" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/base/BaseBean.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/base/PageBean.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/org/springframework/security/spring-security-crypto/5.1.4.RELEASE/spring-security-crypto-5.1.4.RELEASE.jar!/org/springframework/security/crypto/password/PasswordEncoder.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/encryption/AuthHelper.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="21" column="18" lean-forward="true" selection-start-line="21" selection-start-column="18" selection-end-line="21" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/base/TreeBean.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="19" column="36" lean-forward="true" selection-start-line="19" selection-start-column="36" selection-end-line="19" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/encryption/CookieUtil.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-7">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/encryption/EscapeUtil.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="7" column="19" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/encryption/QRCodeUtil.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-7">
          <caret line="31" column="13" selection-start-line="31" selection-start-column="13" selection-end-line="31" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/enumeration/CodeEnum.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="5" column="48" lean-forward="true" selection-start-line="5" selection-start-column="48" selection-end-line="5" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/enumeration/OriginEnum.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="5" column="32" lean-forward="true" selection-start-line="5" selection-start-column="32" selection-end-line="5" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/interceptor/FeignClientInterceptor.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="309">
          <caret line="26" column="65" selection-start-line="26" selection-start-column="65" selection-end-line="26" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/request/HttpRequest.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2046">
          <caret line="104" column="76" lean-forward="true" selection-start-line="104" selection-start-column="76" selection-end-line="104" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/result/Result.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/result/TableResult.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/tool/CreateVerifyCode.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-462">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/tool/PropertyCopyUtils.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-396">
          <caret line="21" column="19" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/tool/UrlParamsUtil.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/tool/VerityUtils.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-264">
          <caret line="34" lean-forward="true" selection-start-line="34" selection-end-line="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/CommonUtil.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2111">
          <caret line="178" column="57" lean-forward="true" selection-start-line="178" selection-start-column="57" selection-end-line="178" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/dictionary/AuthDictionary.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" lean-forward="true" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://E:/study/maven/repository/com/hhh/cloud/framework/hhh-util/2.0.0-SNAPSHOT/hhh-util-2.0.0-20201202.055320-25.jar!/com/hhh/cloud/framework/util/tool/StringRandom.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="18" column="42" selection-start-line="18" selection-start-column="42" selection-end-line="18" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/AuthConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="307">
          <caret line="20" column="37" lean-forward="true" selection-start-line="20" selection-start-column="37" selection-end-line="20" selection-end-column="37" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#767#768#0" expanded="true" />
            <element signature="e#811#812#0" expanded="true" />
            <element signature="e#879#880#0" expanded="true" />
            <element signature="e#928#929#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/config/InterceptorConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="16" column="35" lean-forward="true" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#719#762#1" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/auth/controller/AuthController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="496">
          <caret line="38" column="102" lean-forward="true" selection-start-line="38" selection-start-column="102" selection-end-line="38" selection-end-column="102" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/hhh/cloud/framework/BridgeApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#255#256#0" expanded="true" />
            <element signature="e#323#324#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/logback-spring.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="38" lean-forward="true" selection-start-column="38" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="528">
          <caret line="24" column="6" lean-forward="true" selection-start-line="24" selection-start-column="6" selection-end-line="24" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://E:/study/maven/repository/org/springframework/cloud/spring-cloud-alibaba/0.9.0.RELEASE/spring-cloud-alibaba-0.9.0.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://E:/study/maven/repository/org/springframework/cloud/spring-cloud-starter-alibaba/0.9.0.RELEASE/spring-cloud-starter-alibaba-0.9.0.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="29" lean-forward="true" selection-start-line="5" selection-start-column="29" selection-end-line="5" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://E:/study/maven/repository/org/springframework/cloud/spring-cloud-starter-alibaba-nacos-config/0.9.0.RELEASE/spring-cloud-starter-alibaba-nacos-config-0.9.0.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="23" lean-forward="true" selection-start-line="7" selection-start-column="23" selection-end-line="7" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="396">
          <caret line="18" column="17" lean-forward="true" selection-start-line="18" selection-start-column="17" selection-end-line="18" selection-end-column="17" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>hhh-megrez-bridge</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: ch.qos.logback:logback-classic:1.2.3</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>